/*

  MAX6675 Temperature K-type Module 

  Parts required:
  - Arduino Board
  - MAX6675 Temperature K-type Module

  Libraries required:
  - max6675

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 7 Apr 2020
  Version : v1.0

*/

#include "max6675.h"                        // include library max6675

int ktcSO = 8;                              // set variable ktcSO to digital port 8
int ktcCS = 9;                              // set variable ktcCS to digital port 9
int ktcCLK = 10;                            // set variable ktcCLK to digital port 10

MAX6675 ktc(ktcCLK, ktcCS, ktcSO);          // create object ktc from MAX6675 and set parameters

void setup() {
  Serial.begin(9600);                       // start Serial Monitor communication
  delay(500);                               // wait 500 ms
}

void loop() {
  Serial.print("Deg C = ");                 // print text to Serial Monitor
  Serial.print(ktc.readCelsius());          // read data from ktc and print to Serial Monitor
  Serial.print("\t Deg F = ");              // print text to Serial Monitor
  Serial.println(ktc.readFahrenheit());     // read data from ktc and print to Serial Monitor

  delay(500);                               // wait 500 ms
}
